Summary: A Perl interpreter for the Apache Web server.
Name: perl-mod_perl
Version: 1.21
Release: 7
Group: System Environment/Daemons
Source0: http://www.perl.com/CPAN/by-module/Apache/mod_perl-%{version}.tar.gz
Patch0: mod_perl-1.21-rh.patch
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Requires: webserver perl = 5.00503

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the Apache web server and
provides an object-oriented Perl interface for Apache's C language
API.  The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.

Install mod_perl if you're installing the Apache web server and you'd
like for it to directly incorporate a Perl interpreter.

%prep
%setup -q -n mod_perl-%{version}
%patch -p1 -b .rh

%build
perl Makefile.PL \
	USE_APXS=1 \
	WITH_APXS=/usr/sbin/apxs \
	EVERYTHING = 1

make

%install

rm -rf $RPM_BUILD_ROOT
make pure_install PREFIX=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 apaci/libperl.so $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod
install -m 644 htdocs/manual/mod/mod_perl.html \
	$RPM_BUILD_ROOT/home/httpd/html/manual/mod

PACKLIST=$RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/mod_perl/.packlist
mv $PACKLIST $PACKLIST.old
sed -e "s|$RPM_BUILD_ROOT||g" < $PACKLIST.old > $PACKLIST
rm -f $PACKLIST.old
find $RPM_BUILD_ROOT -type f -o -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" > file-list.lst
sed -e "s|.3$|.3\*|g" file-list.lst > file-list.new
mv file-list.new file-list.lst

cd faq; make

chmod 755 $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Apache/Symbol/Symbol.so
chmod 755 $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Apache/Leak/Leak.so
chmod 755 $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/Apache/PerlRunXS.pm

%post
perl -pi -e 's|^#LoadModule perl_module|LoadModule perl_module|g' \
	/etc/httpd/conf/httpd.conf
perl -pi -e 's|^#AddModule mod_perl.c|AddModule mod_perl.c|g' \
	/etc/httpd/conf/httpd.conf

%postun
perl -pi -e 's|^LoadModule perl_module|#LoadModule perl_module|g' \
	/etc/httpd/conf/httpd.conf
perl -pi -e 's|^AddModule mod_perl.c|#AddModule mod_perl.c|g' \
	/etc/httpd/conf/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT
rm -f file-list.lst

%files -f file-list.lst
%doc CREDITS Changes README SUPPORT ToDo cgi_to_mod_perl.pod mod_perl.pod
%doc mod_perl_method_handlers.pod mod_perl_traps.pod mod_perl_tuning.pod
%doc INSTALL faq/*.html eg faq
%doc ToDo apache-modlist.html
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Apache
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Apache/Leak
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Apache/Symbol
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/mod_perl
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/Apache/Constants
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/Bundle

%changelog
* Thu Feb 17 2000 Tim Powers <timp@redhat.com>
- built for CPAN since this uses a damned interactive configure ugghhh
- release incrimented to 7 for CPAN-6.2 only.

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- automatically enable/disable in httpd.conf in post/postun.

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- fix up some strange permissions

* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man pages, new descr.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- changed paths for perl 5.00503 (RHL 6.1 version)

* Fri Jul 09 1999 Preston Brown <pbrown@redhat.com>
- added -fPIC to correct functionality on SPARC
- upgrade to 1.21, removed build cruft from old buggy mod_perl days
- added extra documentation that was missing

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- bump ver. # so SWS mod_perl gets auto-upgraded

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- bugfix 1.19 release from Doug

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- experimental patch from Doug MacEachern <dougm@pobox.com> to fix segfault
- rebuilt against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to mod_perl 1.18.

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to mod_perl 1.16.

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- disabled stacked_handlers.  They still seem busted!
- minor updates so no conflicts with either apache / secureweb
- fixed bug building on multiple architectures

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- Updates for apache 1.3.x, and mod_perl 1.15

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to compile it as a shared object for the apache/ssl (and
  future revisions of apache)

